#!/usr/bin/env sh
#
# ~/.bash_aliases
# This file should be sourced in *rc files, such as .bashrc.
# It's purpose is to provide aliases for various commands.
#

# replace some default tools with different ones
alias grep='rg'
alias ls='eza -Abhg --colour=auto'

# set default options
alias dir='dir --color=auto'
alias vdir='vdir --color=auto'
alias diff='diff --color'
alias info='info --vi-keys'
alias ip='ip -c'

# aliases to avoid mistakes
alias cp='cp -i'
alias mv='mv -i'
alias rm='rm -I'

# aliases for quitting
alias :qa='exit'
alias :q='exit'
alias qa='exit'
alias q='exit'
alias quit='exit'

# alternate versions of writing the same thing
alias lls='ls -l'
alias ll='ls -l'

# aliases basically for things that I am too lazy to type fully
alias py3='python3'
alias batman='bat -l man'
alias icat='kitten icat'
alias ..='cd ..'
alias ....='cd ../..'
alias ......='cd ../../..'
alias ........='cd ../../../..'
